# Rosa
## Query the namecoin blockchain

Rosa is a commmand line tool to query the namecoin blockchain.

It gets the JSON value of a name and other data using namecoind local server or the dnschain REST api and displays it in a pretty format.

### Usage
Run rosa -h for help

Show the value for a name with

    $ rosa id/rnhmjoj
    bitcoin: 14JYCRLovTiNtcXNoUv2fCwnU9xyX2vZE7
    bitmessage: BM-87izDq7zoLWnne8cWq4Tb3iq4dA4MkL18fm
    email: micheleguerinirocco@me.com
    photo_url: http://0.gravatar.com/avatar/28111022fb94798555c8d3efc1f288ed
    gpg:
      fpr: 85FA62051FD9C90EE553EE00428F8F8D351F12A6
      v: pka1
    namecoin: N3zSdWjXJwtnZHYdRXymSzVzgooDMpAvEw
    name: Michele Guerini Rocco

Connect to namecoind server for blockchain data

    $ rosa d/namechain -b
    ip: 83.96.168.183
    map:
      *:
        ip: 83.96.168.183
    expires_in: 13999.0
    address: N44Q9pqv1KtfmeEH79Q68evanXdGf6edf6
    name: d/namechain
    txid: 425cd3cd854a18bb0494f139ae4b89b9f2892d3a9b865d8f2a704eea15723f35

### License

Copyright (C) 2015 Michele Guerini Rocco

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
